import { Adapter, ClassName, StyleName, SheetMap, TransformOptions } from 'aesthetic';
import { Jss, StyleSheet as JSSSheet } from 'jss';
import { NativeBlock, ParsedBlock } from './types';
export default class JSSAdapter extends Adapter<NativeBlock, ParsedBlock> {
    jss: Jss;
    keyframes: {
        [animationName: string]: string;
    };
    sheets: {
        [styleName: string]: JSSSheet<string>;
    };
    constructor(jss: Jss);
    flushStyles(styleName: StyleName): void;
    isParsedBlock(block: NativeBlock | ParsedBlock): block is ParsedBlock;
    parseStyleSheet(styleSheet: SheetMap<NativeBlock>, { name, theme }: Required<TransformOptions>): SheetMap<ParsedBlock>;
    purgeStyles(): void;
    transformToClassName(styles: ParsedBlock[]): ClassName;
    private handleCharset;
    private handleCss;
    private handleFallback;
    private handleFontFace;
    private handleGlobal;
    private handleImport;
    private handleKeyframe;
    private handleMedia;
    private handleNested;
    private handleProperty;
    private handleSupport;
    private handleViewport;
}
//# sourceMappingURL=JSSAdapter.d.ts.map